Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.defobj
Interface Drop

All Known Subinterfaces:
  Action, ActionCache, ActionCall, ActionChanged, ActionConcurrent, ActionForEach, ActionForEachHomogeneous, ActionGroup, ActionTo, ActivationOrder, ActiveGraph, ActiveOutFile, Activity, ActivityControl, ArchivedGeometryWidget, Archiver, Arguments, Array, Averager, BasicRandomGenerator, BernoulliDist, BinomialDist, BooleanDistribution, C2TAUS1gen, C2TAUS2gen, C2TAUS3gen, C2TAUSgen, Ca2d, Canvas, CanvasAbstractItem, CanvasItem, Collection, CommonProbeDisplay, CompleteProbeDisplay, CompleteProbeMap, CompleteVarMap, CompositeItem, CompoundAction, ConcurrentGroup, ConcurrentSchedule, ControlPanel, ConwayLife2d, CustomProbeMap, DblBuffer2d, DefaultProbeMap, Diffuse2d, Discrete2d, DoubleDistribution, EmptyProbeMap, Entropy, ExponentialDist, EZAverageSequence, EZBin, EZDistribution, EZGraph, EZSequence, FAction, FActionForEach, FActionForEachHeterogeneous, FActionForEachHomogeneous, FArguments, FCall, ForEachActivity, GammaDist, Graph, GraphElement, Grid2d, GUISwarm, HDF5, HDF5Archiver, Histogram, Index, Int2dFiler, IntegerDistribution, KeyedCollection, KeyedCollectionIndex, LinkItem, LispArchiver, List, ListIndex, ListShuffler, LogNormalDist, Map, MapIndex, MessageProbe, MT19937gen, MultiVarProbeDisplay, NodeItem, Normal, NormalDist, NSelect, Object2dDisplay, OvalNodeItem, Permutation, PermutedIndex, Pixmap, PMMLCG1gen, PMMLCGgen, PoissonDist, ProbabilityDistribution, Probe, ProbeDisplay, ProbeDisplayManager, ProbeLibrary, ProbeMap, PSWBgen, QSort, RandomBitDist, Raster, RectangleNodeItem, Schedule, ScheduleActivity, SimpleProbeDisplay, SimpleRandomGenerator, SingleProbeDisplay, SplitRandomGenerator, String, Swarm, SwarmActivity, SwarmObject, SwarmProcess, UName, UniformDoubleDist, UniformIntegerDist, UniformUnsignedDist, UnsignedDistribution, Value2dDisplay, VarProbe, Widget, Zone, ZoomRaster

All Known Implementing Classes:
  ArgumentsImpl, FArgumentsImpl, FCallImpl, HDF5Impl, ZoneImpl, ListShufflerImpl, StringImpl, SwarmObjectImpl, ProbeLibraryImpl, GraphElementImpl, PixmapImpl

public interface Drop

Deallocate an object allocated within a zone.. The Drop supertype defines the drop message, which is a standard message for indicating that an object no longer exists and will never again be referenced. Any future attempt to reference a dropped object is an error. This error may or not produce predictable effects depending on the level of debug checking and other factors.

Method Summary
`void` | `drop()` Immediate effects of the drop message depends on the subtype of Zone used to provide storage for the object.

Method Detail

### drop

    public void drop()

  Immediate effects of the drop message depends on the subtype of Zone used to provide storage for the object. For some zone types, the drop message immediately deallocates storage for the object and makes the freed storage available for other use. Subsequent use could include the allocation of a new object at precisely the same location, resulting in a new object id identical to a previously dropped one. The Drop type may be inherited by any type that provides drop support for its instances. In addition to freeing the storage and invalidating the object, a drop message may release other resources acquired or held within the object. Not every object which can be created can also be dropped, and some objects can be dropped which are not directly creatable. Some objects may be created as a side effect of other operations and still be droppable, and some objects may be created with links to other objects and not droppable on their own. A type independently inherits Create or Drop types, or both, to indicate its support of these standard interfaces to define the endpoints of an object lifecycle.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD